#!/usr/bin/env python
# -*- coding: utf-8 -*-
#

# file      : wind_about.py
# project   : xbpf
# copyright : (C) 2014 by Claude BULIN
#
# This file is part of xbpf project
#
# xbpf is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; version 3.
#
# xbpf is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA


try:
	from gi.repository import Gtk, GObject
except:
	print("GTK Not Availible")
	sys.exit(1)
import sys, os
from fconfig import FConfig
import Language_Init
from gi.repository import GLib
from gi.repository import GObject


class wind_about():
	def __init__( self, path="wind_about.glade", Form=None ):

		# Add language support
		_ = Language_Init.Translator(FConfig).lang.gettext
		self._ = _

		try:
			self.builder = Gtk.Builder()
			# Add language support from glade file
			self.builder.set_translation_domain("xbpf")
			self.builder.add_from_file( FConfig.DATADIR + "/" + path )
		except:
			print("except from:Gtk.Builder() to:", name_glade_file )
			sys.exit(1)

		self.wind_about=self.builder.get_object("wind_about")
		self.wind_about.set_transient_for( Form )

		dic={
			"on_aboutdialog_delete_event": self.on_aboutdialog_delete_event,
			"on_aboutdialog_destroy_event": self.on_aboutdialog_destroy_event,
			"on_aboutdialog_response": self.on_aboutdialog_response,
		}
		self.builder.connect_signals(dic)

		self.wind_about=self.builder.get_object("wind_about")

		self.wind_about.set_title( "%s - Version %s -  by xcfaudio" % (FConfig.__PACKAGE__, FConfig.__VERSION__))
		self.wind_about.set_icon_from_file( FConfig.DATADIR + "/xbpf.png" )

		self.wind_about.show()

	def on_aboutdialog_delete_event(self, widget, data=None):
		self.wind_about.destroy()

	def on_aboutdialog_destroy_event(self, widget, data=None):
		self.wind_about.destroy()

	def on_aboutdialog_response(self, widget, data=None):
		self.wind_about.destroy()


if __name__ == '__main__':
	wind = wind_about()
	Gtk.main()
